# Software development configuration
{ config, pkgs, lib, ... }:
{
  environment.systemPackages = with pkgs; [
    gitea
  ];

  # Gitea setup with daily backup
  services.gitea = {
    enable = true;
    domain = "coolneng.duckdns.org";
    rootUrl = "https://coolneng.duckdns.org/gitea";
    database = {
      type = "postgres";
      passwordFile = "/var/keys/gitea/db";
    };
    cookieSecure = true;
    disableRegistration = true;
    repositoryRoot = "/vault/git";
    dump.enable = true;
    appName = "Gitea";
  };

  # Restart nginx after startup
  systemd.services.nginx.unitConfig.partOf =  lib.mkForce [ "gitea.service" ];

}
